Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.rfid.api.workflow.encoding
Interface MessageSerializer

    public interface MessageSerializer

Interface that must be implemented by edge flow message serializers for messages should be automatically serialized by the framework.

A serializer is for a specific java class. When the edge flow framework receives java object that is to be serialized, it looks up serializers based on the object's class type.

Method Summary
`Class` | `getCollectionClass()` Returns Collection class type that this serializer handles.
`Class` | `getMessageClass()` Returns the java class of messages that can be serialized by this serializer.
`Document` | `serialize(Object object)` Serializes the given object in to an XML Document.
`void` | `serialize(Object object, Writer writer)` Serializes the given object to the writer provided.

Method Detail

### serialize

    void serialize(Object object,
                   Writer writer)
                   throws com.connecterra.ale.encoding.XMLSerializerException,
                          IOException

  Serializes the given object to the writer provided.

  Parameters:
    `object` - The object that is to be serialized.
    `writer` - The writer to which the output will be written.
  Throws:
    `com.connecterra.ale.encoding.XMLSerializerException` - If an error occurs trying to serialize the object.
    `IOException` - If an error occurs trying to write to the writer.
    `NullPointerException` - If passed in writer stream or object is null.

### serialize

    Document serialize(Object object)
                       throws com.connecterra.ale.encoding.XMLSerializerException

  Serializes the given object in to an XML Document.

  Parameters:
    `object` - The object that is to be serialized.
  Returns:
    org.w3c.dom.Document The Document representing the serialized XML form.
  Throws:
    `com.connecterra.ale.encoding.XMLSerializerException` - If an error occurs trying to serialize the object.
    `NullPointerException` - If passed in writer stream or object is null.

### getMessageClass

    Class getMessageClass()

  Returns the java class of messages that can be serialized by this serializer. If this serializer is for serializing a collection type, this method will return the collection element type.

  Returns:
    The java class of messages that can be serialized by this.

### getCollectionClass

    Class getCollectionClass()

  Returns Collection class type that this serializer handles.

  Returns:
    The Collection class type that this serializer handles.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at ${DOCSWEBROOT} Copyright 2007 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD